<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class SendPaymentMessage extends \Google\Protobuf\Internal\Message
{
    


    protected $noteMessage = null;
    


    protected $requestMessageKey = null;
    


    protected $background = null;
    


    protected $transactionData = null;

    











    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getNoteMessage()
    {
        return $this->noteMessage;
    }

    public function hasNoteMessage()
    {
        return isset($this->noteMessage);
    }

    public function clearNoteMessage()
    {
        unset($this->noteMessage);
    }

    




    public function setNoteMessage($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Message::class);
        $this->noteMessage = $var;

        return $this;
    }

    



    public function getRequestMessageKey()
    {
        return $this->requestMessageKey;
    }

    public function hasRequestMessageKey()
    {
        return isset($this->requestMessageKey);
    }

    public function clearRequestMessageKey()
    {
        unset($this->requestMessageKey);
    }

    




    public function setRequestMessageKey($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\MessageKey::class);
        $this->requestMessageKey = $var;

        return $this;
    }

    



    public function getBackground()
    {
        return $this->background;
    }

    public function hasBackground()
    {
        return isset($this->background);
    }

    public function clearBackground()
    {
        unset($this->background);
    }

    




    public function setBackground($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\PaymentBackground::class);
        $this->background = $var;

        return $this;
    }

    



    public function getTransactionData()
    {
        return isset($this->transactionData) ? $this->transactionData : '';
    }

    public function hasTransactionData()
    {
        return isset($this->transactionData);
    }

    public function clearTransactionData()
    {
        unset($this->transactionData);
    }

    




    public function setTransactionData($var)
    {
        GPBUtil::checkString($var, True);
        $this->transactionData = $var;

        return $this;
    }

}

